{
  pkgs,
  config,
  ...
}: {
  imports = [
    ./aerc.nix
    ./bat.nix
    ./bottom.nix
    ./eza.nix
    ./fzf.nix
    ./git.nix
    ./go.nix
    ./gpg.nix
    #./helix.nix
    ./jq.nix
    ./lazygit.nix
    ./nushell.nix
    ./oh-my-posh.nix
    ./ssh.nix
    ./xdg.nix
    ./zoxide.nix
  ];
  home = {
    packages = with pkgs; [
      # Tools
      age
      bitwarden-cli
      duf
      du-dust
      fd
      just
      ripgrep
      usql

      # LSPs
      gopls
      nil

      # Formatters
      alejandra
      gofumpt

      # Flake overlays
      jolheiser.gist
      jolheiser.git-age
      tclip
      templ
      jolheiser.helix
      jolheiser.nixpl
      jolheiser.tmpl
      jolheiser.gomodinit
    ];
    activation.report-changes = config.lib.dag.entryAnywhere ''
      ${pkgs.nvd}/bin/nvd --nix-bin-dir=${pkgs.nix}/bin diff $oldGenPath $newGenPath
    '';
    stateVersion = "22.11";
  };

  xdg.configFile."gist/config.yaml".text = ''
    username: jolheiser
    password-file: /run/agenix/gist-pw
    domain: gist.jojodev.com
  '';

  programs = {home-manager.enable = true;};
}
