{pkgs, ...}: let
  username = "jolheiser";
in {
  imports = [../common/gui];

  networking.hostName = "masala";

  wsl = {
    enable = true;
    defaultUser = username;
    startMenuLaunchers = true;
  };

  users.users."${username}" = {
    extraGroups = ["wheel" "docker"];
    isNormalUser = true;
  };

  services.openssh.enable = true;

  environment.systemPackages = with pkgs; [
    libxcrypt
    py39.python39
    py39.python39Packages.virtualenv
    py39.python39Packages.psycopg2
    py39.python39Packages.wheel
    py39.python39Packages.setuptools
    py39.python39Packages.pip
    python3Packages.twine
    subversion
  ];

  system.stateVersion = "23.11";
}
